Subject: Re: [PATCH] octeontx2-af: Fix compiler warnings.

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Jul 2022 18:24:46 -0700

On Wed, 6 Jul 2022 18:32:41 +0530 Ratheesh Kannoth wrote:
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:388:5: warning: no previous prototype for 'rvu_exact_calculate_hash' [-Wmissing-prototypes]
> 388 | u32 rvu_exact_calculate_hash(struct rvu *rvu, u16 chan, u16 ctype, u8 *mac,
> |     ^~~~~~~~~~~~~~~~~~~~~~~~
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c: In function 'rvu_npc_exact_get_drop_rule_info':
> >> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:1080:14: warning: variable 'rc' set but not used [-Wunused-but-set-variable]  
> 1080 |         bool rc;
> |              ^~
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c: At top level:
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:1248:5: warning: no previous prototype for 'rvu_npc_exact_add_table_entry' [-Wmissing-prototypes]
> 1248 | int rvu_npc_exact_add_table_entry(struct rvu *rvu, u8 cgx_id, u8 lmac_id, u8 *mac,
> |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c: In function 'rvu_npc_exact_add_table_entry':
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:1254:33: warning: variable 'table' set but not used [-Wunused-but-set-variable]
> 1254 |         struct npc_exact_table *table;
> |                                 ^~~~~
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c: At top level:
> drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:1320:5: warning: no previous prototype for 'rvu_npc_exact_update_table_entry' [-Wmissing-prototypes]
> 1320 | int rvu_npc_exact_update_table_entry(struct rvu *rvu, u8 cgx_id, u8 lmac_id,
> |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

There are also these warnings not fixed by the follow up:

In file included from ../drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_fs.c:14:
../drivers/net/ethernet/marvell/octeontx2/af/npc_profile.h:15120:28: error: ‘npc_mkex_default’ defined but not used [-Werror=unused-variable]
15120 | static struct npc_mcam_kex npc_mkex_default = {
      |                            ^~~~~~~~~~~~~~~~
../drivers/net/ethernet/marvell/octeontx2/af/npc_profile.h:15000:30: error: ‘npc_lt_defaults’ defined but not used [-Werror=unused-variable]
15000 | static struct npc_lt_def_cfg npc_lt_defaults = {
      |                              ^~~~~~~~~~~~~~~
../drivers/net/ethernet/marvell/octeontx2/af/npc_profile.h:14901:31: error: ‘npc_kpu_profiles’ defined but not used [-Werror=unused-variable]
14901 | static struct npc_kpu_profile npc_kpu_profiles[] = {
      |                               ^~~~~~~~~~~~~~~~
../drivers/net/ethernet/marvell/octeontx2/af/npc_profile.h:483:38: error: ‘ikpu_action_entries’ defined but not used [-Werror=unused-variable]
  483 | static struct npc_kpu_profile_action ikpu_action_entries[] = {
      |                                      ^~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors

Annoyingly kernel defaults to -Werror now so they break the build for
me, and I'm not immediately sure how to fix those for you. So I think
I'll revert the v2 and you can repost v3 as if v2 wasn't applied. SG?